from django.urls import path, include
from .views import (IndexView,
ItemDetailView, 
add_to_cart, remove_from_cart,
OrderSummaryView, 
CheckoutView,
remove_single_item_from_cart,
HealthBeautyView,
FashionView,
HomeOfficeFurnitureyView,
Gaming,
Electronics,
HomeAppliances,
PaymentView,
ContactView,
get_access_token,
request_appointment
)
from . import views

app_name = 'core'

urlpatterns = [
    path('',IndexView.as_view() , name= 'Item-list'),
    path('product/<slug>/',ItemDetailView.as_view() , name= 'product'),
    path('checkout/', CheckoutView.as_view(), name='checkout'),
    path('health_beauty/', HealthBeautyView.as_view(), name= 'health_beauty' ),
    path('fashion/', FashionView.as_view(), name= 'fashion' ),
    path('home_office_furniture/', HomeOfficeFurnitureyView.as_view(), name= 'home_office_furniture' ),
    path('gaming/', Gaming.as_view(), name= 'gaming' ),
    path('electronics/', Electronics.as_view(), name= 'electronics' ),
    path('home_appliance/', HomeAppliances.as_view(), name= 'home_appliance' ),
    path('payment/', PaymentView.as_view(), name='payment'),
    path('contact/', ContactView.as_view(), name='contact'),
    path('order-summary/',OrderSummaryView.as_view() , name= 'order-summary'),
    path('add-to-cart/<slug>/',add_to_cart, name= 'add-to-cart'),
    path('remove-from-cart/<slug>/',remove_from_cart, name= 'remove-from-cart'),
    path('remove-item-from-cart/<slug>/', remove_single_item_from_cart, name='remove-single-item-from-cart'),
    path('accesstoken/',views.get_access_token , name= 'get_access_token'),
    path('stkpush/',views.initiate_stk_push , name= 'initiate_stk_push'),
    path('callback/',views.process_stk_callback , name= 'process_stk_callback'),
    
]




 